---
title: Computing Infrastructure
date_created: Sunday, August 28th 2022, 1:34:39 pm
date_modified: Sunday, August 28th 2022, 1:37:54 pm
---

## On This Wiki

- [[Homelab]]
- [[Proxmox]]
- [[Kubernetes]]
- [[Web Servers]]
	- [[Caddy]]

## What is computing/IT Infrastructure?

[What is IT Infrastructure?](https://www.ibm.com/topics/infrastructure)  from [[IBM]].

  

> The components of IT infrastructure are made up of interdependent elements, and the two core groups of components are hardware and software. Hardware uses software—like an operating system—to work. And likewise, an operating system manages system resources and hardware. Operating systems also make connections between software applications and physical resources using networking components.
> 
> **Hardware**
> 
> Hardware components can include:  
> 
> -   Desktop computers  
>     
> -   Servers  
>     
> -   Data centers  
>     
> -   Hubs  
>     
> -   Routers  
>     
> -   Switches  
>     
> -   Facilities
> 
> **Software**  
> 
> Software components can include:
> 
> -   Content management systems (CMS)  
>     
> -   Customer relationship management (CRM)  
>     
> -   Enterprise resource planning (ERP)  
>     
> -   Operating systems  
>     
> -   Web servers
> 
> **Facilities**  
> Facilities or physical plants provide space for networking hardware, servers and data centers. It also includes the network cabling in office buildings to connect components of an IT infrastructure together.
>   
> **Network**  
> Networks are comprised of switches, routers, hubs and servers. Switches connect network devices on local area networks (LAN) like routers, servers and other switches. Routers allow devices on different LANs to communicate and move packets between networks. Hubs connect multiple networking devices to act as a single component.
> 
> **Server**  
> A core hardware component needed for an enterprise IT infrastructure is a server. [**Servers**](https://www.ibm.com/it-infrastructure/servers "Learn more about IBM servers") are essentially computers that allow multiple users to access and share resources.
> 
> **Server room/data center**  
> Organizations house multiple servers in rooms called server rooms or data centers. Data centers are the core of most networks.
